'use strict';

var pathJoin = require('path').join;
var nsp = require('nsp');
var confirm = require('../utils/inquires').confirm;
var Promise = require('pinkie-promise');

module.exports = {
    option: 'vulnerableDependencies',
    statusText: 'Checking for the vulnerable dependencies',
    defaultParam: true,

    configurator: function configurator(currentVal) {
        return confirm("Would you like to verify that your package doesn't have vulnerable dependencies before publishing?", currentVal);
    },
    run: function run() {
        return new Promise(function (resolve, reject) {
            var pkg = pathJoin(process.cwd(), 'package.json');

            nsp.check({ package: pkg }, function (err, data) {
                if (err || data.length > 0) reject(nsp.formatters.summary(err, data));else resolve();
            });
        });
    }
};